package org.ballerinalang.net.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.uri", "encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.net.uri.nativeimpl.Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.uri", "decode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.net.uri.nativeimpl.Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Connection.forward", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.connection.Forward"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Connection.respond", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.connection.Respond"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutResponse.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.outbound.response.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutResponse.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.outbound.response.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutResponse.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.outbound.response.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutResponse.getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.outbound.response.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutResponse.setProperty", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.outbound.response.SetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutRequest.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.outbound.request.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutRequest.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.outbound.request.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutRequest.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.outbound.request.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutRequest.getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.outbound.request.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "OutRequest.setProperty", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.outbound.request.SetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InResponse.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.inbound.response.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InResponse.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.inbound.response.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InResponse.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.inbound.response.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InResponse.getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.inbound.response.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.getMatrixParams", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.inbound.request.GetMatrixParams"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.inbound.request.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.inbound.request.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.inbound.request.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.inbound.request.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "InRequest.getQueryParams", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.inbound.request.GetQueryParams"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.invalidate", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.Invalidate"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ANY }, "org.ballerinalang.net.http.nativeimpl.session.GetAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Connection.createSessionIfAbsent", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.session.CreateSessionIfAbsent"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.setAttribute", new TypeKind[] { TypeKind.STRING, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.SetAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.setMaxInactiveInterval", new TypeKind[] { TypeKind.INT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.SetMaxInactiveInterval"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getMaxInactiveInterval", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetMaxInactiveInterval"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getCreationTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetCreationTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getAttributes", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.session.GetAttributes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.isNew", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.http.nativeimpl.session.IsNew"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getAttributeNames", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.net.http.nativeimpl.session.GetAttributeNames"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getLastAccessedTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetLastAccessedTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.removeAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.RemoveAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Session.getId", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.session.GetId"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "Connection.getSession", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.session.GetSession"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.http", "parseHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.MAP, TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.ParseHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getParentConnection", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.ws.nativeimpl.connection.GetParentConnection"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.pushBinary", new TypeKind[] { TypeKind.BLOB }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.connection.PushBinary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getUpgradeHeaders", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.ws.nativeimpl.connection.GetUpgradeHeaders"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.pushText", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.connection.PushText"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.ping", new TypeKind[] { TypeKind.BLOB, TypeKind.INT }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.connection.Ping"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.isOpen", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.ws.nativeimpl.connection.IsOpen"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getUpgradeHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.ws.nativeimpl.connection.GetUpgradeHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.pong", new TypeKind[] { TypeKind.BLOB }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.connection.Pong"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getID", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.ws.nativeimpl.connection.GetID"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.isSecure", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.ws.nativeimpl.connection.IsSecure"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getNegotiatedSubProtocol", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.ws.nativeimpl.connection.GetNegotiatedSubProtocol"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.closeConnection", new TypeKind[] { TypeKind.INT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.connection.CloseConnection"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "Connection.getQueryParams", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.ws.nativeimpl.connection.GetQueryParams"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "HandshakeConnection.cancelHandshake", new TypeKind[] { TypeKind.INT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.ws.nativeimpl.handshakeconnection.CancelHandshake"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina.net.ws", "HandshakeConnection.getQueryParams", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.ws.nativeimpl.handshakeconnection.GetQueryParams"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "get", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Get"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "<init>", new TypeKind[] { TypeKind.CONNECTOR }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.Init"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "execute", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Execute"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "post", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Post"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "forward", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Forward"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "patch", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Patch"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "delete", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Delete"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "head", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Head"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "options", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Options"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.http", "HttpClient", "put", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.Put"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.ws", "WsClient", "connectWithDefault", new TypeKind[] { TypeKind.CONNECTOR }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.ws.actions.ConnectWithDefault"));
		repo.registerNativeAction(new NativeActionDef("ballerina.net.ws", "WsClient", "connect", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.ws.actions.Connect"));
	}

}
